package cn.pluss.platform.channel.ys;


import cn.pluss.platform.entity.MerchantChannelStatus;
import com.alibaba.fastjson.JSONObject;

public interface YSAuditServiceV3 {
    /**
     * 银盛进件3.0
     * @param userId 用户id
     */
    void merchantAuditV3(String userId, boolean isFailCheck, Integer channel);
    void sign(MerchantChannelStatus mcs,  Integer channel);
    /**
     * 回调，通用回调
     * @param jsonObject    回调参数
     */
    void callback(JSONObject jsonObject, Integer channel) throws Exception;

    /**
     * 查询进件结果
     * @param userId
     */
    void auditResult(String userId);

    void openOnlinePay(MerchantChannelStatus mcs);

    void report(MerchantChannelStatus mcs, Integer channel);

    void reportAgain(MerchantChannelStatus mcs, Integer channel);

}
